{{-- @extends(isset($role) ? 'layouts.admin_default_edit' : 'layouts.admin_default') --}}
@extends('layouts.admin_default')
@section('title', 'Manage Roles')
@if(isset($role))
@section('page', 'Roles / Update')
@endif
@if(!isset($role))
@section('page', 'Roles / Add')
@endif
@section('content')
<div class="content pt-0">

    <!-- Page header -->
    <div class="page-header">
        <div class="page-header-content header-elements-lg-inline">
            <div class="page-title d-flex">
                <h4><span class="font-weight-semibold">@if(isset($role))Edit Manage @else Add Role @endif</span></h4>
                <a href="#" class="header-elements-toggle text-body d-lg-none"><i class="icon-more"></i></a>
            </div>
        </div>
    </div>

    <div class="card">
        <div class="card-body">
            @if (session()->has('message'))
            <div class="alert alert-success alert-block">
                <button type="button" class="close" data-dismiss="alert">×</button>
                <strong>{{ session()->get('message') }}</strong>
            </div>
            @endif
            <form id="roleForm" method="post" action="{{route('saveRole')}}" enctype="multipart/form-data" novalidate
                class="simple-example">
                @csrf
                <input type="hidden" name="id" value="@if(isset($role)){{$role->id}}@endif">

                <div class="row">
                    <div class="col-lg-6">
                        <fieldset>
                            <div class="form-group">
                                <label>Title*</label>
                                <input type="text" class="form-control" id="title" name="title" placeholder="Title"
                                    value="{{old('title')}}@if(isset($role)){{$role->title}}@endif" required>
                                <div class="invalid-feedback">
                                    @error('title') {{ $message }} @enderror
                                </div>
                            </div>

                            <div class="form-group">
                                <label for="role_id">Parrent Id*</label>
                                <input type="number" class="form-control" id="role_id" name="role_id"
                                    placeholder="Role Id"
                                    value="{{old('role_id')}}@if(isset($role)){{$role->role_id}}@endif" required>

                                <div class="invalid-feedback">
                                    @error('role_id') {{ $message }} @enderror
                                </div>
                            </div>
                        </fieldset>
                    </div>
                    <div class="col-lg-6">
                        <fieldset>
                        <div class="form-group">
                                <label for="fullName">Status*</label>
                                <select name="status" id="status" class="form-control">
                                    <option value="1" @if(isset($role) && $role->status == 1){{'selected'}}@endif>Active
                                    </option>
                                    <option value="0" @if(isset($role) && $role->status ==
                                        0){{'selected'}}@endif>De-Active</option>
                                </select>

                                <div class="invalid-feedback">
                                    @error('status') {{ $message }} @enderror
                                </div>
                            </div>
                        </fieldset>
                    </div>
                </div>


                <div class="text-right">

                    @if (isset($role))
                    <button class="btn btn-primary submit-fn mt-2" id="addBtn" type="submit">Update</button>
                    @else
                    <button class="btn btn-primary submit-fn mt-2" id="addBtn" type="submit">Add</button>
                    @endif

                </div>
            </form>
        </div>
    </div>
    <!-- /2 columns form -->

</div>
@endsection
@section('footer')

<script type="text/javascript">
$("#roleForm").validate({});
</script>
@endsection